import * as t from '@babel/types';
export default function babelPluginAntdStyle() {
  var hasImportAntdStyle = false;
  return {
    visitor: {
      ImportDeclaration: function ImportDeclaration(path) {
        if (path.type !== 'ImportDeclaration') {
          return;
        }
        var value = path.node.source.value;
        if (value === 'antd-style' && path.node.specifiers.find(function (item) {
          var _item$imported;
          return ((_item$imported = item.imported) === null || _item$imported === void 0 ? void 0 : _item$imported.name) === 'createStyles';
        })) {
          hasImportAntdStyle = true;
        }
      },
      CallExpression: function CallExpression(path, state) {
        if (state.file.opts.filename.includes('node_modules')) {
          return;
        }
        var fileName = state.file.opts.filename.replace(state.file.opts.root, '');
        if (!hasImportAntdStyle) return;
        if (path.node.callee.name !== 'createStyles') return;
        var __BABEL_FILE_NAME__ = t.objectExpression([t.objectProperty(t.identifier('__BABEL_FILE_NAME__'), t.stringLiteral(fileName.split('/').map(function (path) {
          return path.split('.').at(0);
        }).filter(function (path) {
          return path && path !== 'src' && path !== 'index';
        }).join('-')))]);
        if (path.node.arguments.length === 1) {
          path.node.arguments.push(__BABEL_FILE_NAME__);
          return;
        }
        if (path.node.arguments.length === 2) {
          var properties = path.node.arguments[1].properties;
          if (properties.find(function (item) {
            return item.key.name !== '__BABEL_FILE_NAME__';
          })) {
            return;
          } else {
            properties.push(__BABEL_FILE_NAME__);
          }
          return;
        }
      }
    }
  };
}